Bug 1749973 (CVE-2019-15220) - CVE-2019-15220 kernel: Use-after-free in drivers/net/wireless/intersil/p54/p54usb.c
Summary: CVE-2019-15220 kernel: Use-after-free in drivers/net/wireless/intersil/p54/p5...
Keywords:
Status: NEW
Alias: CVE-2019-15220
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1749981
Blocks: 1749979
TreeView+ depends on / blocked
 
Reported: 2019-09-07 01:08 UTC by Pedro Sampaio
Modified: 2019-09-09 16:39 UTC (History)
40 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Pedro Sampaio 2019-09-07 01:08:59 UTC
An issue was discovered in the Linux kernel before 5.2.1. There is a
use-after-free caused by a malicious USB device in the
drivers/net/wireless/intersil/p54/p54usb.c driver.

Upstream patch:

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=6e41e2257f1094acc37618bf6c856115374c6922

References:

https://syzkaller.appspot.com/bug?id=082c09653e43e33a6a56f8c57cf051eeacae9d5f
https://www.openwall.com/lists/oss-security/2019/08/20/2

Comment 1 Pedro Sampaio 2019-09-07 01:31:41 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1749981]

Comment 2 Justin M. Forbes 2019-09-09 07:02:59 UTC
This was fixed for Fedora with the 5.1.18 stable kernel update


Note You need to log in before you can comment on or make changes to this bug.